[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TDataModule.Create

Create a new instance of a TDataModule.

## Declaration

Source position: classesh.inc line 2153

`public constructor TDataModule.Create(`
`AOwner: TComponent`
`); override;`

## Description

Create creates a new instance of the TDatamodule and calls TDatamodule.CreateNew. After that it reads the published properties from a stream using InitInheritedComponent if a descendant class is instantiated. If the OldCreateOrder property is True, the TDataModule.OnCreate event is called.

## Errors

An exception can be raised during the streaming operation.

## See also

TDataModule.CreateNew |  |